## ruby-sentry-rails 5.28.0

=== Makefile ===
build:
	bundle install
	gem build sentry-rails.gemspec

## ruby-sentry-rails 5.3.0

=== debian/changelog ===
ruby-sentry-rails (5.3.0-2) unstable; urgency=medium

  * Source only upload for migration to testing

 -- Pirate Praveen <praveen@debian.org>  Thu, 05 May 2022 13:50:16 +0530

ruby-sentry-rails (5.3.0-1) unstable; urgency=medium

  * Initial release (Closes: #1010436)

 -- Pirate Praveen <praveen@debian.org>  Sun, 01 May 2022 21:03:48 +0530

=== debian/control ===
Source: ruby-sentry-rails
Section: ruby
Priority: optional
Maintainer: Debian Ruby Team <pkg-ruby-extras-maintainers@lists.alioth.debian.org>
Uploaders: Pirate Praveen <praveen@debian.org>
Build-Depends: debhelper-compat (= 13),
               gem2deb (>= 1),
               ruby-railties (>= 2:5.0),
               ruby-sentry-ruby-core (>= 5.3.0)
Standards-Version: 4.6.0
Vcs-Git: https://salsa.debian.org/ruby-team/ruby-sentry-rails.git
Vcs-Browser: https://salsa.debian.org/ruby-team/ruby-sentry-rails
Homepage: https://github.com/getsentry/sentry-ruby
Testsuite: autopkgtest-pkg-ruby
XS-Ruby-Versions: all
Rules-Requires-Root: no

Package: ruby-sentry-rails
Architecture: all
XB-Ruby-Versions: ${ruby:Versions}
Depends: ${misc:Depends},
         ${ruby:Depends},
         ${shlibs:Depends}
Description: provides Rails integration for the Sentry error logger
 A ruby library that provides Rails integration for the Sentry error logger.
 Sentry provides real-time crash reporting for web apps, mobile apps, and
 games.

## ruby-sentry-rails 5.9.0

=== debian/changelog ===
ruby-sentry-rails (5.9.0-2) unstable; urgency=medium

  * Reupload to unstable
  * Drop obsolete X{S,B}-Ruby-Versions fields

 -- Pirate Praveen <praveen@debian.org>  Tue, 13 Jun 2023 18:59:48 +0530

ruby-sentry-rails (5.9.0-1) experimental; urgency=medium

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster
  * Update standards version to 4.6.1, no changes needed.

  [ Pirate Praveen ]
  * Bump Standards-Version to 4.6.2 (no changes needed)
  * New upstream version 5.9.0
  * Switch build dependency ruby-sentry-core -> ruby-sentry

 -- Pirate Praveen <praveen@debian.org>  Sat, 29 Apr 2023 19:01:02 +0530

=== debian/control ===
--- 
+++ 
@@ -4,20 +4,18 @@
 Maintainer: Debian Ruby Team <pkg-ruby-extras-maintainers@lists.alioth.debian.org>
 Uploaders: Pirate Praveen <praveen@debian.org>
 Build-Depends: debhelper-compat (= 13),
-               gem2deb (>= 1),
-               ruby-railties (>= 2:5.0),
-               ruby-sentry-ruby-core (>= 5.3.0)
-Standards-Version: 4.6.0
+               gem2deb (>= 2.1~),
+               ruby-railties,
+               ruby-sentry-ruby (>= 5.9~)
+Standards-Version: 4.6.2
 Vcs-Git: https://salsa.debian.org/ruby-team/ruby-sentry-rails.git
 Vcs-Browser: https://salsa.debian.org/ruby-team/ruby-sentry-rails
 Homepage: https://github.com/getsentry/sentry-ruby
 Testsuite: autopkgtest-pkg-ruby
-XS-Ruby-Versions: all
 Rules-Requires-Root: no
 
 Package: ruby-sentry-rails
 Architecture: all
-XB-Ruby-Versions: ${ruby:Versions}
 Depends: ${misc:Depends},
          ${ruby:Depends},
          ${shlibs:Depends}

## ruby-sentry-rails 5.16.1

=== debian/changelog ===
ruby-sentry-rails (5.16.1-1) unstable; urgency=medium

  * New upstream version
  * Update minimum version of ruby-sentry-ruby to 5.16.1~

 -- Pirate Praveen <praveen@debian.org>  Mon, 05 Feb 2024 20:44:09 +0530

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Build-Depends: debhelper-compat (= 13),
                gem2deb (>= 2.1~),
                ruby-railties,
-               ruby-sentry-ruby (>= 5.9~)
+               ruby-sentry-ruby (>= 5.16.1~)
 Standards-Version: 4.6.2
 Vcs-Git: https://salsa.debian.org/ruby-team/ruby-sentry-rails.git
 Vcs-Browser: https://salsa.debian.org/ruby-team/ruby-sentry-rails

=== debian/watch ===
version=4
https://gemwatch.debian.net/sentry-rails .*/sentry-rails-(.*).tar.gz

# Use the regex below for github-based sources
# opts=uversionmangle=s/[_.+-]?(rc|pre|dev|beta|alpha|b|a)/~$1/i,\
# filenamemangle=s%(?:.+/)?v?@ANY_VERSION@(@ARCHIVE_EXT@)%@PACKAGE@-$1$2% \
#   https://github.com/<owner>/<repo>/releases .*/v?@ANY_VERSION@@ARCHIVE_EXT@

## ruby-sentry-rails 5.18.2

=== debian/changelog ===
ruby-sentry-rails (5.18.2-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.7.0 (routine-update)
  * Update minimum version of ruby-sentry-ruby to 5.18.2~

 -- Pirate Praveen <praveen@debian.org>  Sat, 27 Jul 2024 17:32:59 +0900

=== debian/control ===
--- 
+++ 
@@ -6,8 +6,8 @@
 Build-Depends: debhelper-compat (= 13),
                gem2deb (>= 2.1~),
                ruby-railties,
-               ruby-sentry-ruby (>= 5.16.1~)
-Standards-Version: 4.6.2
+               ruby-sentry-ruby (>= 5.18.2~)
+Standards-Version: 4.7.0
 Vcs-Git: https://salsa.debian.org/ruby-team/ruby-sentry-rails.git
 Vcs-Browser: https://salsa.debian.org/ruby-team/ruby-sentry-rails
 Homepage: https://github.com/getsentry/sentry-ruby

## ruby-sentry-rails 5.28.0

=== debian/changelog ===
ruby-sentry-rails (5.28.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Bump build dependency on ruby-sentry-ruby to 5.28.0.
  * Update Standards-Version to 4.7.2, no changes needed.
  * Add runtime dependency on ruby:any for Ruby script.

 -- Simon Quigley <tsimonq2@debian.org>  Mon, 20 Oct 2025 17:15:24 -0500

=== debian/control ===
--- 
+++ 
@@ -6,8 +6,8 @@
 Build-Depends: debhelper-compat (= 13),
                gem2deb (>= 2.1~),
                ruby-railties,
-               ruby-sentry-ruby (>= 5.18.2~)
-Standards-Version: 4.7.0
+               ruby-sentry-ruby (>= 5.28.0)
+Standards-Version: 4.7.2
 Vcs-Git: https://salsa.debian.org/ruby-team/ruby-sentry-rails.git
 Vcs-Browser: https://salsa.debian.org/ruby-team/ruby-sentry-rails
 Homepage: https://github.com/getsentry/sentry-ruby
@@ -16,7 +16,8 @@
 
 Package: ruby-sentry-rails
 Architecture: all
-Depends: ${misc:Depends},
+Depends: ruby:any,
+         ${misc:Depends},
          ${ruby:Depends},
          ${shlibs:Depends}
 Description: provides Rails integration for the Sentry error logger

## ruby-sentry-rails 6.3.0

=== debian/changelog ===
ruby-sentry-rails (6.3.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Update Standards-Version to 4.7.3, no changes needed.
  * Bump build dependency on ruby-sentry-ruby to 6.3.0.

 -- Simon Quigley <tsimonq2@debian.org>  Sun, 08 Feb 2026 14:35:20 -0600

=== debian/control ===
--- 
+++ 
@@ -6,8 +6,8 @@
 Build-Depends: debhelper-compat (= 13),
                gem2deb (>= 2.1~),
                ruby-railties,
-               ruby-sentry-ruby (>= 5.28.0)
-Standards-Version: 4.7.2
+               ruby-sentry-ruby (>= 6.3.0)
+Standards-Version: 4.7.3
 Vcs-Git: https://salsa.debian.org/ruby-team/ruby-sentry-rails.git
 Vcs-Browser: https://salsa.debian.org/ruby-team/ruby-sentry-rails
 Homepage: https://github.com/getsentry/sentry-ruby

## ruby-sentry-rails 6.4.0

=== debian/changelog ===
ruby-sentry-rails (6.4.0-1) unstable; urgency=medium

  * Team upload.
  * Upgrade watch file to version 5.
  * New upstream release.
  * Drop Rules-Requires-Root field, it is now redundant.
  * Bump build dependencies.
  * Drop the FIXME from the upstream metadata.

 -- Simon Quigley <tsimonq2@debian.org>  Sun, 01 Mar 2026 18:23:26 -0600

=== debian/control ===
--- 
+++ 
@@ -1,18 +1,16 @@
 Source: ruby-sentry-rails
 Section: ruby
-Priority: optional
 Maintainer: Debian Ruby Team <pkg-ruby-extras-maintainers@lists.alioth.debian.org>
 Uploaders: Pirate Praveen <praveen@debian.org>
 Build-Depends: debhelper-compat (= 13),
                gem2deb (>= 2.1~),
                ruby-railties,
-               ruby-sentry-ruby (>= 6.3.0)
+               ruby-sentry-ruby (>= 6.4.0)
 Standards-Version: 4.7.3
 Vcs-Git: https://salsa.debian.org/ruby-team/ruby-sentry-rails.git
 Vcs-Browser: https://salsa.debian.org/ruby-team/ruby-sentry-rails
 Homepage: https://github.com/getsentry/sentry-ruby
 Testsuite: autopkgtest-pkg-ruby
-Rules-Requires-Root: no
 
 Package: ruby-sentry-rails
 Architecture: all

=== debian/watch ===
Version: 5
Source: https://gemwatch.debian.net/sentry-rails
Matching-Pattern: .*/sentry-rails-(.*).tar.gz
